<form #myForm="ngForm">

    <div class="form-group" *ngIf="BasePageBehavior == BASE_INSERT || BasePageBehavior == BASE_UPDATE">
        <label for="nome">Nome</label>
        <input type="text"  maxLength="40"class="form-control" name="name"   [readonly]="readonly" [(ngModel)]="User.name" required>
    </div>

    <div class="form-group" *ngIf="BasePageBehavior == BASE_INSERT || BasePageBehavior == BASE_SEARCH">
        <label for="email">E-mail</label>
        <input type="text"  maxLength="40" class="form-control" name="email"  [readonly]="readonly" [(ngModel)]="User.email">
    </div>
    
    <div  *ngIf="BasePageBehavior == BASE_UPDATE" class="form-group">
        <label for="password">Senha anterior</label>
        <input type="password" class="form-control" name="password"  [(ngModel)]="User.oldPassword"
            [readonly]="readonly" maxLength="8">
    </div>

    <div class="form-group">
        <label for="password" maxLength="8">Senha</label>
        <input type="password" class="form-control" name="password"  [(ngModel)]="User.password"
            [readonly]="readonly" maxLength="8"> 
    </div>
    <div *ngIf="BasePageBehavior == BASE_INSERT || BasePageBehavior == BASE_UPDATE" class="form-group">
        <label for="confirmPassword">Confirmar Senha</label>
        <input type="password" class="form-control" maxLength="8"
             [readonly]="readonly" [(ngModel)]="User.confirmPassword" name="confirmPassword">
    </div>

    <app-address *ngIf="ShowAddress && (BasePageBehavior == BASE_INSERT || BasePageBehavior == BASE_UPDATE)" [Address]=User.address></app-address>

    <div class="d-flex w-100 separator" >
        <button class="btn-primary mr-1" [disabled]="!myForm.valid" (click)="save()">{{BasePageBehaviorText}}</button>
        <button class="btn-secondary ml-1" *ngIf="BasePageBehavior != BASE_INSERT" (click)="cancel()">Cancelar</button>
        <div *ngIf="BasePageBehavior != BASE_INSERT && BasePageBehavior != BASE_UPDATE" class="d-flex w-100 register-container ml-3" >
            <a class="register-link" [routerLink]="'user/register'" (click)="onChangeRoute()">Ou registre-se para continuar</a>
        </div>
    </div>

</form>